io.milvus.v2.utils

## Class VectorUtils

- java.lang.Object
- - io.milvus.v2.utils.VectorUtils

-     public class VectorUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static io.milvus.grpc.SearchRequest` | `convertAnnSearchParam(@NonNull AnnSearchReq annSearchReq, ConsistencyLevel consistencyLevel)`
    `io.milvus.grpc.HybridSearchRequest` | `ConvertToGrpcHybridSearchRequest(HybridSearchReq request)`
    `io.milvus.grpc.QueryRequest` | `ConvertToGrpcQueryRequest(QueryReq request)`
    `io.milvus.grpc.SearchRequest` | `ConvertToGrpcSearchRequest(SearchReq request)`
    `java.lang.String` | `getExprById(java.lang.String primaryFieldName, java.util.List<?> ids)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorUtils

          public VectorUtils()

  - ### Method Detail

    - #### ConvertToGrpcQueryRequest

          public io.milvus.grpc.QueryRequest ConvertToGrpcQueryRequest(QueryReq request)

    - #### ConvertToGrpcSearchRequest

          public io.milvus.grpc.SearchRequest ConvertToGrpcSearchRequest(SearchReq request)

    - #### convertAnnSearchParam

          public static io.milvus.grpc.SearchRequest convertAnnSearchParam(@NonNull
                                                                           @NonNull AnnSearchReq annSearchReq,
                                                                           ConsistencyLevel consistencyLevel)

    - #### ConvertToGrpcHybridSearchRequest

          public io.milvus.grpc.HybridSearchRequest ConvertToGrpcHybridSearchRequest(HybridSearchReq request)

    - #### getExprById

          public java.lang.String getExprById(java.lang.String primaryFieldName,
                                              java.util.List<?> ids)